Bug 616780 - SELinux is preventing /sbin/unix_chkpwd "signal" access .
SELinux is preventing /sbin/unix_chkpwd "signal" access .
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
12
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:2497cc1c453...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-21 08:14 EDT by bumbi_abel@hotmail.com
Modified: 2010-10-14 02:34 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.6.32-123.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-14 02:34:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description bumbi_abel@hotmail.com 2010-07-21 08:14:13 EDT
Sammanfattning:

SELinux is preventing /sbin/unix_chkpwd "signal" access .

Detaljerad beskrivning:

SELinux denied access requested by unix_chkpwd. It is not expected that this
access is required by unix_chkpwd and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Att tillåta åtkomst:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Ytterligare information:

Källkontext                  system_u:system_r:chkpwd_t:s0-s0:c0.c1023
Målkontext                   system_u:system_r:chkpwd_t:s0-s0:c0.c1023
Målobjekt                    None [ process ]
Källa                        unix_chkpwd
Källsökväg                 /sbin/unix_chkpwd
Port                          <Okänd>
Värd                         (borttaget)
Käll-RPM-paket               pam-1.1.0-7.fc12
Mål-RPM-paket                
Policy-RPM                    selinux-policy-3.6.32-116.fc12
SELinux aktiverat             True
Policytyp                     targeted
Verkställande läge          Enforcing
Insticksmodulnamn             catchall
Värdnamn                     (borttaget)
Plattform                     Linux lBM 2.6.32.12-115.fc12.i686 #1 SMP Fri Apr
                              30 20:34:53 UTC 2010 i686 i686
Antal larm                    2
Först sedd                   tis  8 jun 2010 19.14.50
Senast sedd                   tis  8 jun 2010 19.14.50
Lokalt ID                     333e6f5f-86bd-464a-8ffd-034cf9466874
Radnummer                     

Råa granskningsmeddelanden   

node=lBM type=AVC msg=audit(1276017290.548:613): avc:  denied  { signal } for  pid=2967 comm="unix_chkpwd" scontext=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 tcontext=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 tclass=process

node=lBM type=SYSCALL msg=audit(1276017290.548:613): arch=40000003 syscall=270 success=no exit=-13 a0=b97 a1=b97 a2=6 a3=0 items=0 ppid=2965 pid=2967 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm="unix_chkpwd" exe="/sbin/unix_chkpwd" subj=system_u:system_r:chkpwd_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,unix_chkpwd,chkpwd_t,chkpwd_t,process,signal
audit2allow suggests:

#============= chkpwd_t ==============
allow chkpwd_t self:process signal;
Comment 1 Daniel Walsh 2010-07-21 09:01:21 EDT
Any idea how you got this to happen?
Comment 2 Daniel Walsh 2010-08-20 06:16:42 EDT
Miroslav can you change this to

allow chkpwd_t self:process { getattr signal };


Like we have in Rawhide?
Comment 3 Miroslav Grepl 2010-09-01 08:37:42 EDT
Fixed in  selinux-policy-3.6.32-122.fc12
Comment 4 Fedora Update System 2010-10-01 04:49:06 EDT
selinux-policy-3.6.32-123.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/selinux-policy-3.6.32-123.fc12
Comment 5 Fedora Update System 2010-10-05 05:33:36 EDT
selinux-policy-3.6.32-123.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/selinux-policy-3.6.32-123.fc12
Comment 6 Fedora Update System 2010-10-14 02:33:47 EDT
selinux-policy-3.6.32-123.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.